[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLRSOWStackItem

Stack item for the nested resource writer.

## Declaration

Source position: lresources.pp line 215

`type TLRSOWStackItem = record`
`Name: string;` |  |
`ItemType: TLRSItemType;` |  |
`Root: TComponent;` |  |
`PushCount: Integer;` |  | waiting for this number of Pops.
`ItemNr: Integer;` |  | Index in a collection or list.
`SkipIfEmpty: Boolean;` |  |
`State: TLRSOWStackItemState;` |  |
`Buffer: Pointer;` |  |
`BufCount: PtrInt;` |  |
`BufCapacity: PtrInt;` |  |
`end;`